View Issue Details

IDProjectCategoryView StatusLast Update
0013861ScribusStory Editor / Text Framespublic2016-03-29 20:10
ReporterJLuc Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04
Product Version1.5.2.svn 
Target VersionFixed in Version1.5.2.svn 
Summary0013861: Buggy justified alignment when using glyph scaling
DescriptionUploaded SLA document is badly rendered : justified lines dont respect limits, either go too far over border, or not far enough.

It looks like there were other behavioural issues.
Additional InformationVersion de Scribus 1.5.2.svn
19 Mars 2016 - RĂ©vision SVN : 21125
out of a clean make

Document's layout is 100% OK with scribusok (before boxes merge)
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0013876 closedjghali Disintegrated document 

Activities

JLuc

2016-03-28 10:36

developer  

boxes layout bug.sla (20,332 bytes)

JLuc

2016-03-28 10:37

developer  

fonts.zip (482,420 bytes)

JLuc

2016-03-28 10:38

developer  

boxes justification.jpg (20,088 bytes)
boxes justification.jpg (20,088 bytes)

jghali

2016-03-28 12:09

administrator   ~0039468

This is apparently triggered when using inter-word spacing and glyph scaling.

FirasH

2016-03-28 13:29

developer   ~0039469

Confirmed with 1.5.2.svn (21122).

JLuc

2016-03-28 22:28

developer  

pre-boxes rendering.jpg (14,507 bytes)
pre-boxes rendering.jpg (14,507 bytes)

Kunda

2016-03-29 19:48

manager   ~0039529

jghali committed fix in r21135
Please test fix

JLuc

2016-03-29 20:10

developer   ~0039531

I'm sad to loose the nice 'fixed' green color

but yes it's fixed

Issue History

Date Modified Username Field Change
2016-03-28 10:36 JLuc New Issue
2016-03-28 10:36 JLuc File Added: boxes layout bug.sla
2016-03-28 10:37 JLuc File Added: fonts.zip
2016-03-28 10:38 JLuc File Added: boxes justification.jpg
2016-03-28 10:42 JLuc Additional Information Updated View Revisions
2016-03-28 12:09 jghali Note Added: 0039468
2016-03-28 13:29 FirasH Note Added: 0039469
2016-03-28 13:29 FirasH Status new => confirmed
2016-03-28 22:28 JLuc File Added: pre-boxes rendering.jpg
2016-03-29 19:35 jghali Summary Scribusboxes : buggy justified align => Buggy justified alignment when using glyph scaling
2016-03-29 19:36 jghali Status confirmed => resolved
2016-03-29 19:36 jghali Fixed in Version => 1.5.2.svn
2016-03-29 19:36 jghali Resolution open => fixed
2016-03-29 19:36 jghali Assigned To => jghali
2016-03-29 19:48 Kunda Note Added: 0039529
2016-03-29 20:10 JLuc Note Added: 0039531
2016-03-29 20:10 JLuc Status resolved => closed
2016-03-30 15:26 jghali Relationship added has duplicate 0013876